<!--GITHUB
page_title: In-memory storage driver
page_description: Explains how to use the in-memory storage drivers
page_keywords: registry, service, driver, images, storage, in-memory
IGNORES-->

# In-memory storage driver

An implementation of the `storagedriver.StorageDriver` interface which uses local memory for object storage.

**IMPORTANT**: This storage driver *does not* persist data across runs, and primarily exists for testing.

## Parameters

None
